// 单据的状态
export function filter_bill_status(value) {
  let text = ''
  switch (parseInt(value)) {
    case 0:
      text = '草稿'
      break
    case 1:
      text = '提交'
      break
    case 2:
      text = '已审核'
      break
    case 3:
      text = '否决'
      break
    case 4:
      text = '退回'
      break
    case 5:
      text = '作废'
      break
    case 6:
      text = '关闭'
      break
  }
  return text
}
// bug平台登记
export function bug_status(value) {
  let text = ''
  switch (String(value)) {
    case '0':
      text = '无状态'
      break
    case '1':
      text = '打回'
      break
    case '2':
      text = '已关闭'
      break
    case '3':
      text = '新建'
      break
    case '4':
      text = '已分派'
      break
    case '5':
      text = '已处理'
      break
    case '6':
      text = '已测试'
      break
  }
  return text
}
export function bug_iTaskType(value) {
  let text = ''
  switch (String(value)) {
    case '8':
      text = '错误'
      break
    case '9':
      text = '功能缺陷'
      break
    case '10':
      text = '其他'
      break
    case '2':
      text = '新需求'
      break
  }
  return text
}
export function bug_iPriority(value) {
  let text = ''
  switch (String(value)) {
    case '0':
      text = '无'
      break
    case '1':
      text = '低'
      break
    case '2':
      text = '中'
      break
    case '3':
      text = '高'
      break
    case '4':
      text = '加急'
      break
    case '5':
      text = '特急'
      break
  }
  return text
}
// 检验结果
export function check_result(value) {
  let text = ''
  switch (String(value)) {
    case '0':
      text = '未检验'
      break
    case '1':
      text = '合格'
      break
    case '-1':
      text = '不合格'
      break
  }
  return text
}
export function is_success_error(value) {
  let text = ''
  switch (String(value)) {
    case '0':
      text = '未升级'
      break
    case '1':
      text = '已升级'
      break
  }
  return text
}

// 分包
export function sub_package_status(value) {
  let text = ''
  switch (String(value)) {
    case '0':
      text = '未分包'
      break
    case '1':
      text = '已分包'
      break
  }
  return text
}

// 分包
export function hsAdminToolsAuth(value) {
  let text = ''
  switch (value) {
    case true:
      text = '有'
      break
    case false:
      text = '无'
      break
  }
  return text
}

// 分包
export function exec_success(value) {
  let text = ''
  switch (String(value)) {
    case '0':
      text = '未执行'
      break
    case '1':
      text = '执行成功'
      break
    case '-1':
      text = '执行失败'
      break
  }
  return text
}
// edi
export function edi_bill_status(value) {
  let text = ''
  switch (parseInt(value)) {
    case 0:
      text = '未发送'
      break
    case 1:
      text = '已发送'
      break
    case 2:
      text = '已完结'
      break
  }
  return text
}
// 单据状态
export function iStatus(value) {
  let text = ''
  switch (parseInt(value)) {
    case 0:
      text = '已上传'
      break
    case 1:
      text = '上传'
      break
    case -1:
      text = '撤销'
      break
    case 2:
      text = '下载'
      break
  }
  return text
}
